extends Node3D

var player_loop_count := 0
var tree_loop_count := 0

func _on_animation_player_animation_looped(anim_name: StringName, backwards: bool) -> void:
	player_loop_count += 1
	var text = "AnimationPlayer looped: %s (%d) - Backwards: %s" % [anim_name, player_loop_count, backwards]
	print(text)
	$LabelPlayer.text = text


func _on_animation_tree_animation_looped(anim_name: StringName, backwards: bool) -> void:
	tree_loop_count += 1
	var text = "AnimationTree looped: %s (%d) - Backwards: %s" % [anim_name, tree_loop_count, backwards]
	print(text)
	$LabelTree.text = text
